Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456246 - Allow passing hexadecimal ids to "ipmitool sel delete"
Summary: Allow passing hexadecimal ids to "ipmitool sel delete"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: OpenIPMI
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 470805
TreeView+ depends on / blocked
 
Reported: 2008-07-22 14:02 UTC by Olivier Fourdan
Modified: 2018-10-20 00:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:08:55 UTC


Attachments (Terms of Use)
Allow passing hex values to "ipmitool sel delete" (deleted)
2008-07-22 14:03 UTC, Olivier Fourdan
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0964 normal SHIPPED_LIVE OpenIPMI bug fix and enhancement update 2009-05-18 13:32:35 UTC

Description Olivier Fourdan 2008-07-22 14:02:12 UTC
Description of problem:

"ipmitool sel list" list entries with the id in hexadecimal, but the "ipmitool
sel delete" does not parse hexadecimal values, which cause some confusion.

Version-Release number of selected component (if applicable):

ipmitool-1.8.9

How reproducible:

100% reproducible

Steps to Reproduce:
1.List SEL entries with
  # ipmitool sel list
2. Try to delete one of the entries
  # ipmitool sel delete 0x0100
  
Actual results:

Unable to delete entry 0: Invalid command

Expected results:

Unable to delete entry 256: Invalid command

Additional info:

The "Delete SEL command" is not available on all IPMI implementations (thus the
need for the "Get SEL Info Command" as defined in the IPMI 2.0 specification
that indicates if the delete command is available), but nevertheless "ipmitool
sel delete" command should be able to parse hexadecimal values to match the
output of "ipmitool sel list".

The (very simple) patch attached adds this functionality.

Comment 1 Olivier Fourdan 2008-07-22 14:03:06 UTC
Created attachment 312346 [details]
Allow passing hex values to "ipmitool sel delete"

Comment 2 Phil Knirsch 2008-07-24 14:30:34 UTC
Devel ack for RHEL-4.8.

Read ya, Phil

Comment 3 RHEL Product and Program Management 2008-09-05 17:18:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jan Safranek 2008-10-24 07:51:34 UTC
I can see it was sent upstream, with with no response...

 https://sourceforge.net/mailarchive/message.php?msg_name=60f2b0dc0808161356m70895ac3l6f60a312441dc802%40mail.gmail.com

Comment 9 Jan Safranek 2009-01-15 09:30:14 UTC
The patch was finally accepted upstream.

Comment 14 errata-xmlrpc 2009-05-18 20:08:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0964.html


Note You need to log in before you can comment on or make changes to this bug.